%global packname  googledrive
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          2.1.1
Release:          2%{?dist}
Summary:          An Interface to Google Drive

License:          MIT + file LICENSE
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-cli >= 3.0.0, R-gargle >= 1.5.0, R-glue >= 1.4.2, R-httr, R-jsonlite, R-lifecycle, R-magrittr, R-pillar >= 1.9.0, R-purrr >= 1.0.1, R-rlang >= 1.0.2, R-tibble >= 2.0.0, R-utils, R-uuid, R-vctrs >= 0.3.0, R-withr
# Suggests:  R-curl, R-dplyr >= 1.0.0, R-knitr, R-mockr, R-rmarkdown, R-spelling, R-testthat >= 3.1.3
# LinkingTo:
# Enhances:

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-cli >= 3.0.0
BuildRequires:    R-gargle >= 1.5.0
BuildRequires:    R-glue >= 1.4.2
BuildRequires:    R-httr
BuildRequires:    R-jsonlite
BuildRequires:    R-lifecycle
BuildRequires:    R-magrittr
BuildRequires:    R-pillar >= 1.9.0
BuildRequires:    R-purrr >= 1.0.1
BuildRequires:    R-rlang >= 1.0.2
BuildRequires:    R-tibble >= 2.0.0
BuildRequires:    R-utils
BuildRequires:    R-uuid
BuildRequires:    R-vctrs >= 0.3.0
BuildRequires:    R-withr


%description
Manage Google Drive files from R.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/WORDLIST
%{rlibdir}/%{packname}/extdata
%{rlibdir}/%{packname}/secret



%changelog
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 2.1.1-2
- trim build deps (don't include Suggests)
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 2.1.1-1
- initial package for Fedora
